.code-header {
  display: flex;
  justify-content: flex-end;
}

.copy-code-button {
  display: grid;
  grid-auto-flow: column;
  align-items: center;
  grid-column-gap: 4px;
  border: none;
  cursor: pointer;
  font-size: 1rem;
  padding: 4px 8px;

}

.copy-code-button::before {
  content: "Copy";
}

.copy-code-button::after {
  content: "📋";
  display: block;
}

.copy-code-button.copied::before {
  content: "Copied!";
}

.copy-code-button.copied::after {
  content: "✔️";
}
